X13AS(1)

NAME
x13as - the X-13ARIMA-SEATS Seasonal Adjustment Program

SYNOPSIS
x13as [args...]

DESCRIPTION
X-13ARIMA-SEATS computes the seasonal adjustment of one or several time series.

Each argument is either a filename (whose extension should not be specified and will be automatically figured by x13as) or an option flag.

The operations to be performed are described by specification files (whose extension is .spc); their format is not documented in this manpage (see the reference manual linked below).

There are three operation modes:

1. Operation on one series
    The specification file should be given as the first filename; an optional second filename can be given for the output (otherwise the default is to use the same basename as the specification file). Alternatively the specification file can be given with the -i option, and the output file with the -o option.

2. Operation on multiple series, with multiple specifications
    A metafile (with extension .mta), containing the list of specification files (and optionally the corresponding output files), should be given as the argument of the -m option.

3. Operation on multiple series, with single specification
    The specification should be given as in the first filename. A data metafile (with extension .dta), containing the list of datafiles with extension .dat (and optionally the corresponding output files) should be given as the argument of the -d option.

OPTIONS

-c  Sum each of the components of a composite adjustment, but only perform modeling or seasonal adjustment on the total

-d filename
    Filename (without extension) for data metafile

-g dirname
    Directory where graphics metafile and related files for input to external graphics programs are stored

-i filename
    Filename (without extension) for input specification file

-m filename
    Filename (without extension) for input metafile

-n  (No tables) Only tables specifically requested in the input specification file will be printed out

-o filename
    Filename (without extension) used for all output files gener- ated during this run of the program

-p  No pagination is used in main output file

-q  Run X-13ARIMA-SEATS in quiet-mode (warning messages not sent to the console)

-r  Produce reduced X-13ARIMA-SEATS output (as in GiveWin version of X-13ARIMA-SEATS)

-s  Store seasonal adjustment and regARIMA model diagnostics in a file

-t  Store timing information in the diagnostics file (if -s or -g not specified, will generate diagnostic file)

-v  Only check input specification file(s) for errors; no other pro- cessing

-w  Wide (132 character) format is used in main output file

OUTPUT
Output files will be created with the .out extension, using by default the basename of the specification or data files.

Error files may be created with the .err extension, with the same basename as the specification file.

A log file will be created with the .log extension, using the basename of either the specification file, the metafile or the data metafile, depending on the operation mode.

SEE ALSO
The reference manual of X-13ARIMA-SEATS is available at: https://www2.census.gov/software/x-13arima-seats/x13as/unix-linux/documentation/docx13as.pdf

AUTHOR
This manual page was written by Sébastien Villemot for Debian, using information from the reference manual.